#!/bin/sh
# resolve links - $0 may be a softlink

cygwin=false
case "`uname`" in
CYGWIN*) cygwin=true;;
esac

PRG="$0"

while [ -h "$PRG" ]; do
	ls=`ls -ld "$PRG"`
	link=`expr "$ls" : '.*-> \(.*\)$'`
	if expr "$link" : '.*/.*' > /dev/null; then
		PRG="$link"
	else
		PRG=`dirname "$PRG"`/"$link"
	fi
done

# Get standard environment variables
PRGDIR=`dirname "$PRG"`
FALCON_HOME=`cd "$PRGDIR/.." ; pwd`

install_bin() {
	if [ -f /usr/bin/$1 ]; then
		rm /usr/bin/$1
	fi
	if [ -f $FALCON_HOME/bin/$1 ]; then
		chmod 755 $FALCON_HOME/bin/$1
		ln -s $FALCON_HOME/bin/$1 /usr/bin/$1
	fi
}

uninstall_bin() {
	if [ -f /usr/bin/$1 ]; then
		rm /usr/bin/$1
	fi
}

# preprocess
case $1 in
install)
	install_bin falcon
	;;
uninstall)
	uninstall_bin falcon
	;;
*)
	echo "specify install or uninstall"
	exit 0
	;;
esac
